XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# Loading plugins

## Modules
Valid visual types
## Defines
#define | XINE_PLUGINDIR "/usr/local/lib/xine/plugins"
## Functions
char** | xine_list_video_output_plugins (int visual_type)
| list available video output plugins.
vo_driver_t* | xine_load_video_output_plugin (config_values_t *config, char *id, int visual_type, void *visual)
| load a specific video output plugin.
char** | xine_list_audio_output_plugins (void)
| generate a list of all available audio output plugins.
ao_driver_t* | xine_load_audio_output_plugin (config_values_t *config, char *id)
| load a specific audio output plugin.

## Detailed Description

output plugin load support functions

## Define Documentation

#define XINE_PLUGINDIR "/usr/local/lib/xine/plugins"

| Plugin files location.

## Function Documentation

char ** xine_list_audio_output_plugins ( | void )

| generate a list of all available audio output plugins. Returns: a list of available audio output plugins the list returned is sorted by plugin priority

char ** xine_list_video_output_plugins ( | int visual_type )

  | list available video output plugins. Parameters:
  visual_type | see Valid visual types
  Returns: a list of available video output plugins for the specified visual type - the list is sorted by plugin priority See also: Valid visual types Parameters:
  visual_type |

ao_driver_t * xine_load_audio_output_plugin ( | config_values_t * config,
| char * id )

  | load a specific audio output plugin. Parameters:
  config | current configuration ( see config_file_init() )
  id | driver name.
  See also: ao_driver_t Parameters:
  config |
  id |

vo_driver_t * xine_load_video_output_plugin ( | config_values_t * config,
| char * id,
| int visual_type,
| void * visual )

  | load a specific video output plugin. Parameters:
  config | current configuration ( see config_file_init() )
  id | driver name.
  visual_type | see Valid visual types
  visual | visual type dependant data pointer.
  See also: vo_driver_t, Valid visual types Parameters:
  config |
  id |
  visual_type |
  visual |